From: <a href="/blend/av.cgi?id=268">Misti</a><BR>
Date: 5 June 2002<P>

Ali~<BR>
Thank you for the compliment on Blown. I just realized something..."Blow" is one of my favorite Johnny Depp movies ("Ed Wood" is my favorite...I also love "Fear and Loathing in Las Vegas"!)and at the time I wasn't thinking of the connection but that's neat the way it turned out.<BR>
<BR>
Original Cherry Blow-Pops,<BR>
Misti
<HR>
From: <a href="/blend/av.cgi?id=2">scqueen</a><BR>
Date: 5 June 2002<P>

You can't have him Misti and neither can that French model who has his child. What fantasy world does she live in anyway? Johnny Depp loves me, me, and only me. Just you watch, I'll tell him someday :-)<BR>
<BR>
- sc stalker!<BR>
<BR>

<HR>
From: <a href="/blend/av.cgi?id=268">Misti</a><BR>
Date: 5 June 2002<P>

Okay, you can have Johnny Depp if I can have Johnny Carson. That man has aged so well, I swear. I bought the latest Esquire just to see what the guy has been up to this past decade. 
<HR>
From: <a href="/blend/av.cgi?id=268">Misti</a><BR>
Date: 5 June 2002<P>

p.s. I can't think of an actor I've lusted after consistently...I had a thing for John Travolta there for awhile, in the late '70s and early '80s...Marlon Brando...Val Kilmer...Patrick Duffy as Bobby on "Dallas"...Brad Pitt, very briefly...he's definitely vanilla yum, but I don't detect much depth or darkness there...Pierce Brosnan 'cause he reminded me of my ex (both Taureans)...and that guy from "Saved By the Bell." The guy who played Zack. Talk about depth and darkness. Whew. Then there was Angelina Jolie there for awhile, the only chick I've ever had a crush on. Nicholas Cage and Sean Penn are my favorite actors but they don't get me all hot and bothered. Oh, shit! I forgot all about Paul Newman in  "Cool Hand Luke" and "Hud." He was beautiful. And I had a crush on Richard Dreyfuss there for awhile. <BR>
<BR>
Splatipus~ thank you for the compliment.<BR>
<BR>
Gala~ I hear ya. I could really relate to Kevin's toilet paper blog...if I don't change the toilet paper, Chris just props it up on the thingie. But to be fair, he takes out the trash and does the laundry most of the time. I can only vacuum when he's not around 'cause it bothers him. Have you tried that new orange Fantastik multi-purpose cleaner? It's good for the kitchen, not so good for the bathroom. <BR>
<BR>
Astrology update: it's too true, I hate it. I bought another astrology book today. It says that it's doubtful I'll ever get married (because I am a very dour, difficult person..."a sour little girl," as Chris likes to call me sometimes)but if I do it is certain that I'll get a divorce. And I have all the makings of a pariah. Wonderful. I knew I should have waited another week or two to come out.
<HR>
From: <a href="/blend/av.cgi?id=545">Madi</a><BR>
Date: 5 June 2002<P>

One of my star crushes has always been Clint Eastwood, he's aged pretty well, too. I had an appointment to have lunch with he and Kevin Costner (yeah baby) 9 years ago, but it started storming and they had to take their lunches to their trailers to get out of the rain.  I ended up eating with the co-stars and crew.  It was still cool just to see him and be a couple of feet away while they were filming.  Also ran right up into Cris Christopherson once at Toys R Us.  I remember thinking he was his look-alike in Austin, a local performer I'd met so I gave him a grin and thought "Oh no, you're not nearly as cute as Chris" - then at the checkout, standing behind him, I realized it really was him, the checkout girls were giggling and he was stocking up on Santa presents.  Glad I didn't know it was really him or I may have never looked him right in the eyes and smiled quite as naturally - he smiled back :) 
<HR>